List your support tickets

View an overview of all your past and current support tickets. This is useful for tracking ongoing issues or reviewing historical communication with support.

Support System Tickets

Context

Used in the dashboard

/support

Workflow links

Produces

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.tickets array<object> required · Example: [{"admin_read":"1","id":"16901","parent_id":"0","type":"Client","firstname":"Anna","las...
data.tickets[].admin_read string required · Example: 1
data.tickets[].client_id string required · Example: 30000
data.tickets[].client_parent string required · Example: 0
data.tickets[].companyname string required · Example: Example AB
data.tickets[].creator_id string required · Example: 0
data.tickets[].date string required · Example: 2026-02-10 00:00:00
data.tickets[].department string required · Example: Domain names
data.tickets[].dept_id string required · Example: 14
data.tickets[].deptname string required · Example: Domain names
data.tickets[].escalated string required · Example: 0
data.tickets[].firstname string required · Example: Anna
data.tickets[].flags integer required · Example: 0
data.tickets[].group_id string required · Example: 0
data.tickets[].id string required · Example: 16901
data.tickets[].last_reply string required · Example: 87984
data.tickets[].lastname string required · Example: Svensson
data.tickets[].lastreply string required · Example: 1 hour ago
data.tickets[].lastreply_date string required · Example: 2026-02-10 00:00:00
data.tickets[].linkedServices array<object> required · Example: [{"serviceType":"domain","serviceId":"19624","serviceName":"example.com","metadata":{"s...
data.tickets[].linkedServices[].aiHelpful string · nullable required · Example: null

Nullable: may be null when not applicable.

data.tickets[].linkedServices[].aiSummary string · nullable required · Example: Example summary of an issue requiring investigation.

Nullable: may be null when not applicable.

data.tickets[].linkedServices[].metadata object required
data.tickets[].linkedServices[].metadata.autorenew string · Example: 1
data.tickets[].linkedServices[].metadata.hostname string · Example: example.com
data.tickets[].linkedServices[].metadata.nextDue string · enum · Example: 2026-02-20
2025-12-20
2026-02-01
2026-02-20
2026-02-25
2027-01-29
data.tickets[].linkedServices[].metadata.proxmoxVmId string · Example: 10291
data.tickets[].linkedServices[].metadata.status string · enum required · Example: Active
Active
Pending
data.tickets[].linkedServices[].serviceId string required · Example: 19624
data.tickets[].linkedServices[].serviceName string required · Example: example.com
data.tickets[].linkedServices[].serviceType string · enum required · Example: domain
domain
hosting
vps
data.tickets[].name string required · Example: Anna Svensson
data.tickets[].number string required · Example: 966904
data.tickets[].owner_id string required · Example: 0
data.tickets[].parent_id string required · Example: 0
data.tickets[].priority string required · Example: 0
data.tickets[].request_type string required · Example: General
data.tickets[].rpname string required · Example: David
data.tickets[].status string · enum required · Example: Answered
Answered
Client-Reply
Closed
Open
data.tickets[].status_color string required · Example: 000000
data.tickets[].subject string required · Example: #100000 - Använda Cloudflare
data.tickets[].tags string required · Example: 0
data.tickets[].ticket_number string required · Example: 966904
data.tickets[].tsubject string required · Example: #100000 - Använda Cloudflare
data.tickets[].type string · enum required · Example: Client
Client
Email
data.totalpages integer required · Example: 1
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/support/tickets
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/support/tickets" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "tickets": [
      {
        "admin_read": "1",
        "id": "16901",
        "parent_id": "0",
        "type": "Client",
        "firstname": "Anna",
        "lastname": "Svensson",
        "companyname": "Example AB",
        "date": "2026-02-10 00:00:00",
        "lastreply": "1 hour ago",
        "dept_id": "14",
        "name": "Anna Svensson",
        "client_id": "30000",
        "status": "Answered",
        "ticket_number": "966904",
        "request_type": "General",
        "tsubject": "#100000 - Använda Cloudflare",
        "deptname": "Domain names",
        "priority": "0",
        "flags": 0,
        "escalated": "0",
        "tags": "0",
        "creator_id": "0",
        "owner_id": "0",
        "group_id": "0",
        "client_parent": "0",
        "rpname": "David",
        "last_reply": "87984",
        "status_color": "000000",
        "lastreply_date": "2026-02-10 00:00:00",
        "number": "966904",
        "subject": "#100000 - Använda Cloudflare",
        "department": "Domain names",
        "linkedServices": [
          {
            "serviceType": "domain",
            "serviceId": "19624",
            "serviceName": "example.com",
            "metadata": {
              "status": "Active",
              "autorenew": "1"
            },
            "aiSummary": null,
            "aiHelpful": null
          }
        ]
      },
      {
        "admin_read": "1",
        "id": "13126",
        "parent_id": "0",
        "type": "Client",
        "firstname": "Anna",
        "lastname": "Svensson",
        "companyname": "Example AB",
        "date": "2026-02-10 00:00:00",
        "lastreply": "Jul 26th",
        "dept_id": "14",
        "name": "Anna Svensson",
        "client_id": "30000",
        "status": "Answered",
        "ticket_number": "973032",
        "request_type": "General",
        "tsubject": "#100001 - Står avvaktar trots betalning",
        "deptname": "Domain names",
        "priority": "0",
        "flags": 0,
        "escalated": "0",
        "tags": "0",
        "creator_id": "0",
        "owner_id": "1",
        "group_id": "0",
        "client_parent": "0",
        "rpname": "David",
        "last_reply": "71278",
        "status_color": "000000",
        "lastreply_date": "2026-02-10 00:00:00",
        "number": "973032",
        "subject": "#100001 - Står avvaktar trots betalning",
        "department": "Domain names",
        "linkedServices": []
      }
    ],
    "totalpages": 1
  }
}